// ============================================================================
//						States / Rtm Constants
// ============================================================================ 
// in this section you can change the rtm config's filename, speeds, and sound edges
// the reason for them being centralised here is different classnames might use the same rtm, and therefore need the same speed.
// everytime a speed is modified, it needs to be modified for every class using this anim
// therefore using a constant for each rtm's playtime makes it easier to update anim speed.
// note that all walking/running/crawling anims for each state share the same speed
// sound edges are corresponding to rtm timeframes to tell the config when the override sound must start and stop

		// constants

		// Aiming Rifle
		#define AIMINGRF \
			limitGunMovement=1; \
			Aiming=AimingDefault; \
			showWeaponAim=1; \
			enableMissile=0; \
			disableWeapons=0; \
			disableWeaponsLong=0; \
			enableOptics=1; \
			enableBinocular=0;
			
		// Aiming HandGun
		#define AIMINGHG \
			limitGunMovement=1; \
			Aiming = AimingPistol; \
			showWeaponAim=1; \
			enableMissile=0; \
			disableWeapons=0; \
			disableWeaponsLong=0; \
			enableOptics=1; \
			enableBinocular=0;
			
		// Aiming AT
		#define AIMINGAT \
			limitGunMovement=1; \
			Aiming = AimingDefault; \
			showWeaponAim=1; \
			enableMissile=1; \
			disableWeapons=0; \
			disableWeaponsLong=0; \
			enableOptics=1; \
			enableBinocular=0;

		// Aiming Safe (hand grenade, Civil)
		#define AIMINGSF \
			limitGunMovement=1; \
			Aiming = AimingNo; \
			showWeaponAim=1; \
			enableMissile=0; \
			disableWeapons=0; \
			disableWeaponsLong=1; \
			enableOptics=0; \
			enableBinocular=0;
			
		// Aiming Binoc
		#define AIMINGBC \
			limitGunMovement=1; \
			Aiming = AimingNo; \
			showWeaponAim=0; \
			enableMissile=0; \
			disableWeapons=0; \
			disableWeaponsLong=1; \
			enableOptics=1; \
			enableBinocular=0;
			
		// No Aiming (reloadmag, etc...)
		#define AIMINGNO \
			limitGunMovement=0; \
			Aiming = AimingNo; \
			showWeaponAim=0; \
			enableMissile=0; \
			disableWeapons=1; \
			disableWeaponsLong=1; \
			enableOptics=0; \
			enableBinocular=0;

	// Constant speeds for timed actions.
	// must NOT be modified as these are synchronized with sound,
	// regardless of state or stance
	#define Speed_ReloadMagPistol			-3
	#define Speed_ReloadMagRifle			-2.4
	#define Speed_ReloadMagMG				-2.93
	#define Speed_ReloadMagMortar			-3.115
	#define Speed_ReloadMagAT				-4
	#define Speed_ReloadBolt				-1.5
	#define Speed_StandThrowGrenadeStart	-1.4
	#define Speed_StandThrowGrenadeEnd		-0.97
	#define Speed_LyingThrowGrenadeStart	-1.8
	#define Speed_LyingThrowGrenadeEnd		-2.3
	
	// --------------------------------------------------------------------------------------------------------------
	//								AT
	// --------------------------------------------------------------------------------------------------------------
	#define State AT
		// ...\AT\Crouch\
		
			// dying anims
				RTM_CROUCH_DEAD(AIMINGNO,State,Dead1)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying1C,-1.85,0,1)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying1i,-1.85*0.95,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,Dying1iStart)
			// default anims
				RTM_CROUCH_STATIC(AIMINGAT,State,Default)
				RTM_CROUCH_LOOP(AIMINGAT,State,Default_loop,-6.25)
			// AI relaxed anims
				RTM_CROUCH_STATIC(AIMINGNO,State,Relaxed)
				RTM_CROUCH_LOOP(AIMINGNO,State,Relaxed_loop,-6.25)
			// reload anims
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ReloadAT,Speed_ReloadMagAT)
			// State transitions
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToATSafe,-0.75)
	#undef State
			
	// --------------------------------------------------------------------------------------------------------------
	//								ATPistol
	// --------------------------------------------------------------------------------------------------------------
	#define State ATPistol
		// ...\ATPistol\Stand\
		
			// dying anims
				RTM_STAND_DEAD(AIMINGNO,State,Dead1)
				RTM_STAND_DYING(AIMINGNO,State,Dying1C,-3,0,1)
				RTM_STAND_DYING(AIMINGNO,State,Dying1i,-3,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,Dying1iStart)
				RTM_STAND_DEAD(AIMINGNO,State,Dead2)
				RTM_STAND_DYING(AIMINGNO,State,Dying2C,-3,0,1)
				RTM_STAND_DYING(AIMINGNO,State,Dying2i,-3,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,Dying2iStart)
				RTM_STAND_DEAD(AIMINGNO,State,RunFDead1)
				RTM_STAND_DYING(AIMINGNO,State,RunFDying1i,-1.6,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,RunFDying1iStart)
				RTM_STAND_DEAD(AIMINGNO,State,RunFDead2)
				RTM_STAND_DYING(AIMINGNO,State,RunFDying2i,-1.6,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,RunFDying2iStart)
				RTM_STAND_DEAD(AIMINGNO,State,RunBDead1)
				RTM_STAND_DYING(AIMINGNO,State,RunBDying1i,-1.6,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,RunBDying1iStart)
				RTM_STAND_DEAD(AIMINGNO,State,RunBDead2)
				RTM_STAND_DYING(AIMINGNO,State,RunBDying2i,-1.6,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,RunBDying2iStart)
			// default anims
				RTM_STAND_STATIC(AIMINGHG,State,Default)
				RTM_STAND_LOOP(AIMINGHG,State,Default_loop,-6.25)
			// AI relaxed anims
				RTM_STAND_STATIC(AIMINGNO,State,Relaxed)
				RTM_STAND_LOOP(AIMINGNO,State,Relaxed_loop,-6.25)
			// reload anims
				RTM_STAND_DYNAMIC(AIMINGNO,State,ReloadMagazine,Speed_ReloadMagPistol)
			// Binoc
				RTM_STAND_DYNAMIC(AIMINGBC,State,FromBinoc1,-0.01)
				RTM_STAND_DYNAMIC(AIMINGBC,State,FromBinoc2,-0.95)
				RTM_STAND_DYNAMIC(AIMINGBC,State,FromBinoc3,-1.05)
				RTM_STAND_STATIC(AIMINGBC,State,Binoc)
				RTM_STAND_DYNAMIC(AIMINGBC,State,ToBinoc1,-0.792)
				RTM_STAND_DYNAMIC(AIMINGBC,State,ToBinoc2,-1.208)
				RTM_STAND_DYNAMIC(AIMINGBC,State,ToBinoc3,-0.01)
			// Throw grenade
				RTM_STAND_DYNAMIC(AIMINGNO,State,ThrowGrenadeStart,Speed_StandThrowGrenadeStart)
				RTM_STAND_DYNAMIC(AIMINGNO,State,ThrowGrenadeEnd,Speed_StandThrowGrenadeEnd)
				RTM_STAND_STATIC(AIMINGNO,State,RunThrowGrenadeStartC)
				RTM_STAND_DYNAMIC(AIMINGNO,State,RunThrowGrenadeStart,Speed_StandThrowGrenadeStart)
				RTM_STAND_DYNAMIC(AIMINGNO,State,RunThrowGrenadeEnd,Speed_StandThrowGrenadeEnd)
			// Run, walk, sprint etc...
				RTM_STAND_RUN(AIMINGSF,State)
				RTM_STAND_WALK(AIMINGHG,State)
				RTM_STAND_RUNAIM(AIMINGHG,State)
			// Stance transitions
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToCrouch,-1)
				RTM_STAND_GETDOWN(AIMINGNO,State,ToLying,-1.5,0.1,0.1)
			// State transitions
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToATSafe1,-1.5)
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToATSafe2,-1.0)
				
		// ...\ATPistol\Crouch\
			// dying anims
				RTM_CROUCH_DEAD(AIMINGNO,State,Dead1)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying1C,-1.7,0,1)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying1i,-1.7,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,Dying1iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,RunFDead1)
				RTM_CROUCH_DYING(AIMINGNO,State,RunFDying1i,-1.6,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,RunFDying1iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,RunFDead2)
				RTM_CROUCH_DYING(AIMINGNO,State,RunFDying2i,-1.6,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,RunFDying2iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,RunBDead1)
				RTM_CROUCH_DYING(AIMINGNO,State,RunBDying1i,-1.6,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,RunBDying1iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,RunBDead2)
				RTM_CROUCH_DYING(AIMINGNO,State,RunBDying2i,-1.6,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,RunBDying2iStart)
			// default anims
				RTM_CROUCH_STATIC(AIMINGHG,State,Default)
				RTM_CROUCH_LOOP(AIMINGHG,State,Default_loop,-6.25)
			// AI relaxed anims
				RTM_CROUCH_STATIC(AIMINGNO,State,Relaxed)
				RTM_CROUCH_LOOP(AIMINGNO,State,Relaxed_loop,-6.25)
			// reload anims
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ReloadMagazine,Speed_ReloadMagPistol)
			// Binoc
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,FromBinoc1,-0.01)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,FromBinoc2,-0.5)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,FromBinoc3,-1.5)
				RTM_CROUCH_STATIC(AIMINGBC,State,Binoc)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,ToBinoc1,-1.5)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,ToBinoc2,-0.5)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,ToBinoc3,-0.01)
			// Run, walk, sprint etc...
				RTM_CROUCH_RUN(AIMINGSF,State)
				RTM_CROUCH_WALK(AIMINGHG,State)
				RTM_CROUCH_RUNAIM(AIMINGHG,State)
			// Stance transitions
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToStand,-1.15)
				RTM_CROUCH_GETDOWN(AIMINGNO,State,ToLying,-1.5,0.1,0.1)
			// State transitions
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToATSafe1,-0.95)
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToATSafe2,-1.55)
				
		// ...\ATPistol\Lying\
		
			// dying anims
				RTM_LYING_DEAD(AIMINGNO,State,Dead1)
				RTM_LYING_DYING(AIMINGNO,State,Dying1C,-1,0,1)
				RTM_LYING_DYING(AIMINGNO,State,Dying1i,-1,0,1)
				RTM_LYING_DYINGSTART(AIMINGNO,State,Dying1iStart)
			// default anims
				RTM_LYING_STATIC(AIMINGHG,State,Default)
				RTM_LYING_LOOP(AIMINGHG,State,Default_loop,-6.25)
			// AI relaxed anims
				RTM_LYING_STATIC(AIMINGNO,State,Relaxed)
				RTM_LYING_LOOP(AIMINGNO,State,Relaxed_loop,-6.25)
			// reload anims
				RTM_LYING_DYNAMIC(AIMINGNO,State,ReloadMagazine,Speed_ReloadMagPistol)
			// Throw grenade
				RTM_LYING_DYNAMIC(AIMINGNO,State,ThrowGrenadeStart,Speed_LyingThrowGrenadeStart)
				RTM_LYING_DYNAMIC(AIMINGNO,State,ThrowGrenadeEnd,Speed_LyingThrowGrenadeEnd)
			// Binoc
				RTM_LYING_DYNAMIC(AIMINGBC,State,FromBinoc1,-0.01)
				RTM_LYING_DYNAMIC(AIMINGBC,State,FromBinoc2,-0.76)
				RTM_LYING_DYNAMIC(AIMINGBC,State,FromBinoc3,-1.240)
				RTM_LYING_STATIC(AIMINGBC,State,Binoc)
				RTM_LYING_DYNAMIC(AIMINGBC,State,ToBinoc1,-1.060)
				RTM_LYING_DYNAMIC(AIMINGBC,State,ToBinoc2,-0.940)
				RTM_LYING_DYNAMIC(AIMINGBC,State,ToBinoc3,-0.01)
			// Stance transitions
				RTM_LYING_GETUP(AIMINGNO,State,ToStand,-2,0.01,0.01)
				RTM_LYING_GETUP(AIMINGNO,State,ToCrouch,-1.5,0.01,0.01)
			// Crawl
				RTM_LYING_CRAWL(AIMINGSF,State)
			// State transitions
				RTM_LYING_DYNAMIC(AIMINGNO,State,ToATSafe1,-0.625)
				RTM_LYING_DYNAMIC(AIMINGNO,State,ToATSafe2,-1.875)
				
	#undef State
	
	// --------------------------------------------------------------------------------------------------------------
	//								ATSafe
	// --------------------------------------------------------------------------------------------------------------
	#define State ATSafe
	
		// ...\ATSafe\Stand\
		
			// dying anims
				RTM_STAND_DEAD(AIMINGNO,State,Dead1)
				RTM_STAND_DYING(AIMINGNO,State,Dying1C,-3.4,0,1)
				RTM_STAND_DYING(AIMINGNO,State,Dying1i,-3.4*0.97,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,Dying1iStart)
				RTM_STAND_DEAD(AIMINGNO,State,RunFDead1)
				RTM_STAND_DYING(AIMINGNO,State,RunFDying1i,-1.6,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,RunFDying1iStart)
				RTM_STAND_DEAD(AIMINGNO,State,RunFDead2)
				RTM_STAND_DYING(AIMINGNO,State,RunFDying2i,-1.6,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,RunFDying2iStart)
				RTM_STAND_DEAD(AIMINGNO,State,RunBDead1)
				RTM_STAND_DYING(AIMINGNO,State,RunBDying1i,-1.6,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,RunBDying1iStart)
				RTM_STAND_DEAD(AIMINGNO,State,RunBDead2)
				RTM_STAND_DYING(AIMINGNO,State,RunBDying2i,-1.6,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,RunBDying2iStart)
			// default anims
				RTM_STAND_STATIC(AIMINGSF,State,Default)
				RTM_STAND_LOOP(AIMINGSF,State,Default_loop,-6.25)
			// Binoc
				RTM_STAND_DYNAMIC(AIMINGBC,State,FromBinoc1,-0.95)
				RTM_STAND_DYNAMIC(AIMINGBC,State,FromBinoc2,-1.05)
				RTM_STAND_STATIC(AIMINGBC,State,Binoc)
				RTM_STAND_DYNAMIC(AIMINGBC,State,ToBinoc1,-0.792)
				RTM_STAND_DYNAMIC(AIMINGBC,State,ToBinoc2,-1.208)
			// Throw grenade
				RTM_STAND_DYNAMIC(AIMINGNO,State,ThrowGrenadeStart,Speed_StandThrowGrenadeStart)
				RTM_STAND_DYNAMIC(AIMINGNO,State,ThrowGrenadeEnd,Speed_StandThrowGrenadeEnd)
				RTM_STAND_STATIC(AIMINGNO,State,RunThrowGrenadeStartC)
				RTM_STAND_DYNAMIC(AIMINGNO,State,RunThrowGrenadeStart,Speed_StandThrowGrenadeStart)
				RTM_STAND_DYNAMIC(AIMINGNO,State,RunThrowGrenadeEnd,Speed_StandThrowGrenadeEnd)
			// Run, walk, sprint etc...
				RTM_STAND_RUN(AIMINGSF,State)
				RTM_STAND_WALK(AIMINGSF,State)
			// Stance transitions
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToCrouch,-1.1)
				RTM_STAND_GETDOWN(AIMINGNO,State,ToLying,-1.5,0.1,0.1)
			// State transitions
				//RTM_STAND_DYNAMIC(AIMINGNO,State,ToATPistol,-2.5)
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToATPistol1,-1.0)
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToATPistol2,-1.5)
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToRifle,-2.5)
			//	RTM_STAND_DYNAMIC(AIMINGNO,State,ToCivil,-2.5)
				
		// ...\ATSafe\Crouch\
		
			// dying anims
				RTM_CROUCH_DEAD(AIMINGNO,State,Dead1)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying1C,-2,0,1)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying1i,-2,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,Dying1iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,RunFDead1)
				RTM_CROUCH_DYING(AIMINGNO,State,RunFDying1i,-1.6,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,RunFDying1iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,RunFDead2)
				RTM_CROUCH_DYING(AIMINGNO,State,RunFDying2i,-1.6,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,RunFDying2iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,RunBDead1)
				RTM_CROUCH_DYING(AIMINGNO,State,RunBDying1i,-1.6,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,RunBDying1iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,RunBDead2)
				RTM_CROUCH_DYING(AIMINGNO,State,RunBDying2i,-1.6,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,RunBDying2iStart)
			// default anims
				RTM_CROUCH_STATIC(AIMINGSF,State,Default)
				RTM_CROUCH_LOOP(AIMINGSF,State,Default_loop,-6.25)
			// Binoc
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,FromBinoc1,-0.5)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,FromBinoc2,-1.5)
				RTM_CROUCH_STATIC(AIMINGBC,State,Binoc)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,ToBinoc1,-1.5)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,ToBinoc2,-0.5)
			// Run, walk, sprint etc...
				RTM_CROUCH_RUN(AIMINGSF,State)
				RTM_CROUCH_WALK(AIMINGSF,State)
			// Stance transitions
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToStand,-1.15)
				RTM_CROUCH_GETDOWN(AIMINGNO,State,ToLying,-1.5,0.1,0.1)
			// State transitions
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToAT,-0.75)
				//RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToATPistol,-2.5)
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToATPistol1,-1.55)
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToATPistol2,-0.95)
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToRifle,-2.5)
			//	RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToCivil,-2.5)
				
		// ...\ATSafe\Lying\
		
			// dying anims
				RTM_LYING_DEAD(AIMINGNO,State,Dead1)
				RTM_LYING_DYING(AIMINGNO,State,Dying1C,-1,0,1)
				RTM_LYING_DYING(AIMINGNO,State,Dying1i,-1,0,1)
				RTM_LYING_DYINGSTART(AIMINGNO,State,Dying1iStart)
			// default anims
				RTM_LYING_STATIC(AIMINGSF,State,Default)
				RTM_LYING_LOOP(AIMINGSF,State,Default_loop,-6.25)
			// Throw grenade
				RTM_LYING_DYNAMIC(AIMINGNO,State,ThrowGrenadeStart,Speed_LyingThrowGrenadeStart)
				RTM_LYING_DYNAMIC(AIMINGNO,State,ThrowGrenadeEnd,Speed_LyingThrowGrenadeEnd)
			// Binoc
				RTM_LYING_DYNAMIC(AIMINGBC,State,FromBinoc1,-0.76)
				RTM_LYING_DYNAMIC(AIMINGBC,State,FromBinoc2,-1.240)
				RTM_LYING_STATIC(AIMINGBC,State,Binoc)
				RTM_LYING_DYNAMIC(AIMINGBC,State,ToBinoc1,-1.060)
				RTM_LYING_DYNAMIC(AIMINGBC,State,ToBinoc2,-0.940)
			// Crawl
				RTM_LYING_CRAWL(AIMINGSF,State)
			// Stance transitions
				RTM_LYING_GETUP(AIMINGNO,State,ToStand,-2,0.01,0.01)
				RTM_LYING_GETUP(AIMINGNO,State,ToCrouch,-1.5,0.01,0.01)
			// State transitions
				// RTM_LYING_DYNAMIC(AIMINGNO,State,ToATPistol,-2.5)
				RTM_LYING_DYNAMIC(AIMINGNO,State,ToATPistol1,-0.75)
				RTM_LYING_DYNAMIC(AIMINGNO,State,ToATPistol2,-1.75)
				RTM_LYING_DYNAMIC(AIMINGNO,State,ToRifle,-2.5)
			//	RTM_LYING_DYNAMIC(AIMINGNO,State,ToCivil,-2.5)
				
	#undef State
	
	// --------------------------------------------------------------------------------------------------------------
	//								Civil
	// --------------------------------------------------------------------------------------------------------------
	#define State Civil
	
		// ...\Civil\Stand\
		
			// dying anims
				RTM_STAND_DEAD(AIMINGNO,State,Dead1)
				RTM_STAND_DYING(AIMINGNO,State,Dying1C,-2.5,0,1)
				RTM_STAND_DYING(AIMINGNO,State,Dying1i,-2.5,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,Dying1iStart)
				RTM_STAND_DEAD(AIMINGNO,State,Dead2)
				RTM_STAND_DYING(AIMINGNO,State,Dying2C,-1.55,0,1)
				RTM_STAND_DYING(AIMINGNO,State,Dying2i,-1.55,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,Dying2iStart)
				RTM_STAND_DEAD(AIMINGNO,State,RunFDead1)
				RTM_STAND_DYING(AIMINGNO,State,RunFDying1i,-1.6,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,RunFDying1iStart)
				RTM_STAND_DEAD(AIMINGNO,State,RunFDead2)
				RTM_STAND_DYING(AIMINGNO,State,RunFDying2i,-1.6,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,RunFDying2iStart)
				RTM_STAND_DEAD(AIMINGNO,State,RunBDead1)
				RTM_STAND_DYING(AIMINGNO,State,RunBDying1i,-1.6,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,RunBDying1iStart)
				RTM_STAND_DEAD(AIMINGNO,State,RunBDead2)
				RTM_STAND_DYING(AIMINGNO,State,RunBDying2i,-1.6,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,RunBDying2iStart)
			// default anims
				RTM_STAND_STATIC(AIMINGSF,State,Default)
				RTM_STAND_STATIC(AIMINGSF,State,Default1)
				RTM_STAND_LOOP(AIMINGSF,State,Default1_loop,-3.1)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default1_v1,-1.6)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default1_v2,-1.8)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default1_v3,-2.6)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default1_v4,-2.5)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default1_v5,-1.4)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default1_v6,-4)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default1_v7,-3.5)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default1_v8,-0.7)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default1_v9,-5)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default1_v10,-1.25)
			// Binoc
				RTM_STAND_DYNAMIC(AIMINGBC,State,FromBinoc1,-0.95)
				RTM_STAND_DYNAMIC(AIMINGBC,State,FromBinoc2,-1.05)
				RTM_STAND_STATIC(AIMINGBC,State,Binoc)
				RTM_STAND_DYNAMIC(AIMINGBC,State,ToBinoc1,-0.792)
				RTM_STAND_DYNAMIC(AIMINGBC,State,ToBinoc2,-1.208)
			// Throw grenade
				RTM_STAND_DYNAMIC(AIMINGNO,State,ThrowGrenadeStart,Speed_StandThrowGrenadeStart)
				RTM_STAND_DYNAMIC(AIMINGNO,State,ThrowGrenadeEnd,Speed_StandThrowGrenadeEnd)
				RTM_STAND_STATIC(AIMINGNO,State,RunThrowGrenadeStartC)
				RTM_STAND_DYNAMIC(AIMINGNO,State,RunThrowGrenadeStart,Speed_StandThrowGrenadeStart)
				RTM_STAND_DYNAMIC(AIMINGNO,State,RunThrowGrenadeEnd,Speed_StandThrowGrenadeEnd)
			// Run, walk, sprint etc...
				RTM_STAND_RUN(AIMINGSF,State)
				RTM_STAND_WALK(AIMINGSF,State)
			// Stance transitions
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToCrouch,-0.6)
				RTM_STAND_GETDOWN(AIMINGNO,State,ToLying,-1.5,0.01,0.01)
			// State transitions
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToPistol1,-1.1)
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToPistol2,-0.9)
			//	RTM_STAND_DYNAMIC(AIMINGNO,State,ToATSafe,-2.5)
			//	RTM_STAND_DYNAMIC(AIMINGNO,State,ToRifleSafe,-2.5)
			// Neutral anims
				RTM_STAND_DYNAMIC(AIMINGNO,State,GetInCar,-1.23)
				RTM_STAND_DYNAMIC(AIMINGNO,State,GetInTank,-2.38)
				RTM_STAND_DYNAMIC(AIMINGNO,State,GetOutTank,-0.915)
				RTM_STAND_STATIC(AIMINGNO,State,LadderStatic)
				RTM_STAND_DYNAMIC(AIMINGNO,State,LadderUpStart,-0.75)
				RTM_STAND_DYNAMIC(AIMINGNO,State,LadderUpLoop,-0.6)
				RTM_STAND_DYNAMIC(AIMINGNO,State,LadderUpEnd,-1)
				RTM_STAND_DYNAMIC(AIMINGNO,State,LadderDownStart,-1)
				RTM_STAND_DYNAMIC(AIMINGNO,State,LadderDownLoop,-0.6)
				RTM_STAND_DYNAMIC(AIMINGNO,State,LadderDownEnd,-1)
// ICI ICI ICI
		// ...\Civil\Crouch\
		
			// dying anims
				RTM_CROUCH_DEAD(AIMINGNO,State,Dead1)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying1C,-1.7,0,1)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying1i,-1.7,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,Dying1iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,RunFDead1)
				RTM_CROUCH_DYING(AIMINGNO,State,RunFDying1i,-1.6,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,RunFDying1iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,RunFDead2)
				RTM_CROUCH_DYING(AIMINGNO,State,RunFDying2i,-1.6,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,RunFDying2iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,RunBDead1)
				RTM_CROUCH_DYING(AIMINGNO,State,RunBDying1i,-1.6,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,RunBDying1iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,RunBDead2)
				RTM_CROUCH_DYING(AIMINGNO,State,RunBDying2i,-1.6,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,RunBDying2iStart)
			// default anims
				RTM_CROUCH_STATIC(AIMINGSF,State,Default)
				RTM_CROUCH_LOOP(AIMINGSF,State,Default_loop,-6.25)
			// Binoc
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,FromBinoc1,-0.5)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,FromBinoc2,-1.5)
				RTM_CROUCH_STATIC(AIMINGBC,State,Binoc)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,ToBinoc1,-1.5)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,ToBinoc2,-0.5)
			// Run, walk, sprint etc...
				RTM_CROUCH_RUN(AIMINGSF,State)
				RTM_CROUCH_WALK(AIMINGSF,State)
			// Stance transitions
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToStand,-1)
				RTM_CROUCH_GETDOWN(AIMINGNO,State,ToLying,-1.1,0.1,0.1)
			// State transitions
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToPistol1,-1.24)
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToPistol2,-0.76)
			//	RTM_CROUCH_GETDOWN(AIMINGNO,State,ToPistolLying,-2.5,0.1,0.1)
			//	RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToATSafe,-2.5)
			//	RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToRifleSafe,-2.5)
				
		// ...\Civil\Lying\
		
		// dying anims
				RTM_LYING_DEAD(AIMINGNO,State,Dead1)
				RTM_LYING_DYING(AIMINGNO,State,Dying1C,-0.7,0,1)
				RTM_LYING_DYING(AIMINGNO,State,Dying1i,-0.7,0,1)
				RTM_LYING_DYINGSTART(AIMINGNO,State,Dying1iStart)
			// default anims
				RTM_LYING_STATIC(AIMINGSF,State,Default)
				RTM_LYING_LOOP(AIMINGSF,State,Default_loop,-6.25)
			// Throw grenade
				RTM_LYING_DYNAMIC(AIMINGNO,State,ThrowGrenadeStart,Speed_LyingThrowGrenadeStart)
				RTM_LYING_DYNAMIC(AIMINGNO,State,ThrowGrenadeEnd,Speed_LyingThrowGrenadeEnd)
			// Binoc
				RTM_LYING_DYNAMIC(AIMINGBC,State,FromBinoc1,-0.76)
				RTM_LYING_DYNAMIC(AIMINGBC,State,FromBinoc2,-1.240)
				RTM_LYING_STATIC(AIMINGBC,State,Binoc)
				RTM_LYING_DYNAMIC(AIMINGBC,State,ToBinoc1,-1.060)
				RTM_LYING_DYNAMIC(AIMINGBC,State,ToBinoc2,-0.940)
			// Crawl
				RTM_LYING_CRAWL(AIMINGSF,State)
			// Stance transitions
				RTM_LYING_GETUP(AIMINGNO,State,ToStand,-1.85,0.01,0.01)
				RTM_LYING_GETUP(AIMINGNO,State,ToCrouch,-1.5,0.01,0.01)
			// State transitions
				RTM_LYING_DYNAMIC(AIMINGNO,State,ToPistol1,-1.5)
				RTM_LYING_DYNAMIC(AIMINGNO,State,ToPistol2,-0.5)
			//	RTM_LYING_DYNAMIC(AIMINGNO,State,ToATSafe,-2.5)
			//	RTM_LYING_DYNAMIC(AIMINGNO,State,ToRifle,-2.5)
				
	#undef State
	
	// --------------------------------------------------------------------------------------------------------------
	//								Pistol
	// --------------------------------------------------------------------------------------------------------------

	#define State Pistol
	
		// ...\Pistol\Stand\
		
			// dying anims
				RTM_STAND_DEAD(AIMINGNO,State,Dead1)
				RTM_STAND_DYING(AIMINGNO,State,Dying1C,-3,0,1)
				RTM_STAND_DYING(AIMINGNO,State,Dying1i,-3,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,Dying1iStart)
				RTM_STAND_DEAD(AIMINGNO,State,Dead2)
				RTM_STAND_DYING(AIMINGNO,State,Dying2C,-3,0,1)
				RTM_STAND_DYING(AIMINGNO,State,Dying2i,-3,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,Dying2iStart)
			// default anims
				RTM_STAND_STATIC(AIMINGHG,State,Default)
				RTM_STAND_LOOP(AIMINGHG,State,Default_loop,-6.25)
			// AI relaxed anims
				RTM_STAND_STATIC(AIMINGNO,State,Relaxed)
				RTM_STAND_LOOP(AIMINGNO,State,Relaxed_loop,-6.25)
			// reload anims
				RTM_STAND_DYNAMIC(AIMINGNO,State,ReloadMagazine,Speed_ReloadMagPistol)
			// Binoc
				RTM_STAND_DYNAMIC(AIMINGBC,State,FromBinoc1,-0.01)
				RTM_STAND_DYNAMIC(AIMINGBC,State,FromBinoc2,-0.95)
				RTM_STAND_DYNAMIC(AIMINGBC,State,FromBinoc3,-1.05)
				RTM_STAND_STATIC(AIMINGBC,State,Binoc)
				RTM_STAND_DYNAMIC(AIMINGBC,State,ToBinoc1,-0.792)
				RTM_STAND_DYNAMIC(AIMINGBC,State,ToBinoc2,-1.208)
				RTM_STAND_DYNAMIC(AIMINGBC,State,ToBinoc3,-0.01)
			// Throw grenade
				RTM_STAND_DYNAMIC(AIMINGNO,State,ThrowGrenadeStart,Speed_StandThrowGrenadeStart)
				RTM_STAND_DYNAMIC(AIMINGNO,State,ThrowGrenadeEnd,Speed_StandThrowGrenadeEnd)
			// Run, walk, sprint etc...
				RTM_STAND_WALK(AIMINGHG,State)
				RTM_STAND_RUNAIM(AIMINGHG,State)
			// Stance transitions
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToCrouch,-1.1)
				RTM_STAND_GETDOWN(AIMINGNO,State,ToLying,-1.5,0.1,0.1)
			// State transitions
			//	RTM_STAND_DYNAMIC(AIMINGNO,State,ToCivil,-2.5)
			//	class RTM_PistolStandToPistolSafe:RTM_PistolStandToCivil{};
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToCivil1,-0.9)
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToCivil2,-1.1)
				
		// ...\Pistol\Crouch\
		
			// dying anims
				RTM_CROUCH_DEAD(AIMINGNO,State,Dead1)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying1C,-2,0,1)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying1i,-2,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,Dying1iStart)
			// default anims
				RTM_CROUCH_STATIC(AIMINGHG,State,Default)
				RTM_CROUCH_LOOP(AIMINGHG,State,Default_loop,-6.25)
			// AI relaxed anims
				RTM_CROUCH_STATIC(AIMINGNO,State,Relaxed)
				RTM_CROUCH_LOOP(AIMINGNO,State,Relaxed_loop,-6.25)
			// reload anims
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ReloadMagazine,Speed_ReloadMagPistol)
			// Binoc
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,FromBinoc1,-0.01)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,FromBinoc2,-0.5)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,FromBinoc3,-1.5)
				RTM_CROUCH_STATIC(AIMINGBC,State,Binoc)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,ToBinoc1,-1.5)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,ToBinoc2,-0.5)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,ToBinoc3,-0.01)
			// Run, walk, sprint etc...
				RTM_CROUCH_WALK(AIMINGHG,State)
				RTM_CROUCH_RUNAIM(AIMINGHG,State)
			// Stance transitions
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToStand,-1.15)
				RTM_CROUCH_GETDOWN(AIMINGNO,State,ToLying,-1.5,0.1,0.1)
			// State transitions
			//	RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToCivil,-2.5)
			//	class RTM_PistolCrouchToPistolSafe:RTM_PistolCrouchToCivil{};
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToCivil1,-0.633)
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToCivil2,-1.367)
				
		// ...\Pistol\Lying\
		
			// dying anims
				RTM_LYING_DEAD(AIMINGNO,State,Dead1)
				RTM_LYING_DYING(AIMINGNO,State,Dying1C,-1,0,1)
				RTM_LYING_DYING(AIMINGNO,State,Dying1i,-1,0,1)
				RTM_LYING_DYINGSTART(AIMINGNO,State,Dying1iStart)
			// default anims
				RTM_LYING_STATIC(AIMINGHG,State,Default)
				RTM_LYING_LOOP(AIMINGHG,State,Default_loop,-6.25)
			// AI relaxed anims
				RTM_LYING_STATIC(AIMINGNO,State,Relaxed)
				RTM_LYING_LOOP(AIMINGNO,State,Relaxed_loop,-6.25)
			// reload anims
				RTM_LYING_DYNAMIC(AIMINGNO,State,ReloadMagazine,Speed_ReloadMagPistol)
			// Throw grenade
				RTM_LYING_DYNAMIC(AIMINGNO,State,ThrowGrenadeStart,Speed_LyingThrowGrenadeStart)
				RTM_LYING_DYNAMIC(AIMINGNO,State,ThrowGrenadeEnd,Speed_LyingThrowGrenadeEnd)
			// Binoc
				RTM_LYING_DYNAMIC(AIMINGBC,State,FromBinoc1,-0.01)
				RTM_LYING_DYNAMIC(AIMINGBC,State,FromBinoc2,-0.76)
				RTM_LYING_DYNAMIC(AIMINGBC,State,FromBinoc3,-1.240)
				RTM_LYING_STATIC(AIMINGBC,State,Binoc)
				RTM_LYING_DYNAMIC(AIMINGBC,State,ToBinoc1,-1.060)
				RTM_LYING_DYNAMIC(AIMINGBC,State,ToBinoc2,-0.940)
				RTM_LYING_DYNAMIC(AIMINGBC,State,ToBinoc3,-0.01)
			// Stance transitions
				RTM_LYING_GETUP(AIMINGNO,State,ToStand,-2,0.01,0.01)
				RTM_LYING_GETUP(AIMINGNO,State,ToCrouch,-1.5,0.01,0.01)
			// State transitions
				RTM_LYING_DYNAMIC(AIMINGNO,State,ToCivil1,-0.5)
				RTM_LYING_DYNAMIC(AIMINGNO,State,ToCivil2,-1.5)
				
	#undef State

	// --------------------------------------------------------------------------------------------------------------
	//								Rifle
	// --------------------------------------------------------------------------------------------------------------
	#define State Rifle
	
		// ...\Rifle\Stand\
		
			// dying anims
				RTM_STAND_DEAD(AIMINGNO,State,Dead1)
				RTM_STAND_DYING(AIMINGNO,State,Dying1C,-3.4,0,1)
				RTM_STAND_DYING(AIMINGNO,State,Dying1i,0.97*-3.4,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,Dying1iStart)
				RTM_STAND_DEAD(AIMINGNO,State,Dead2)
				RTM_STAND_DYING(AIMINGNO,State,Dying2C,-2.35,0,1)
				RTM_STAND_DYING(AIMINGNO,State,Dying2i,0.875*-2.35,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,Dying2iStart)
				RTM_STAND_DEAD(AIMINGNO,State,Dead3)
				RTM_STAND_DYING(AIMINGNO,State,Dying3C,-6.4,0,1)
				RTM_STAND_DYING(AIMINGNO,State,Dying3i,0.98*-6.4,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,Dying3iStart)
				RTM_STAND_DEAD(AIMINGNO,State,Dead4)
				RTM_STAND_DYING(AIMINGNO,State,Dying4C,-6.4,0,1)
				RTM_STAND_DYING(AIMINGNO,State,Dying4i,0.94*-6.4,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,Dying4iStart)
				RTM_STAND_DEAD(AIMINGNO,State,Dead5)
				RTM_STAND_DYING(AIMINGNO,State,Dying5C,-6.4,0,1)
				RTM_STAND_DYING(AIMINGNO,State,Dying5i,0.98*-6.4,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,Dying5iStart)
				RTM_STAND_DEAD(AIMINGNO,State,RunFDead1)
				RTM_STAND_DYING(AIMINGNO,State,RunFDying1i,-1.6,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,RunFDying1iStart)
				RTM_STAND_DEAD(AIMINGNO,State,RunFDead2)
				RTM_STAND_DYING(AIMINGNO,State,RunFDying2i,-1.6,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,RunFDying2iStart)
				RTM_STAND_DEAD(AIMINGNO,State,RunBDead1)
				RTM_STAND_DYING(AIMINGNO,State,RunBDying1i,-1.6,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,RunBDying1iStart)
				RTM_STAND_DEAD(AIMINGNO,State,RunBDead2)
				RTM_STAND_DYING(AIMINGNO,State,RunBDying2i,-1.6,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,RunBDying2iStart)
			// default anims
				RTM_STAND_STATIC(AIMINGRF,State,Default)
				RTM_STAND_LOOP(AIMINGRF,State,Default_loop,-6.25)
			// AI relaxed anims
				RTM_STAND_STATIC(AIMINGNO,State,Relaxed)
				RTM_STAND_STATIC(AIMINGNO,State,Relaxed1)
				RTM_STAND_LOOP(AIMINGNO,State,Relaxed1_loop,-20)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed1_v1,-3.5)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed1_v2,-2.9)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed1_v3,-1.7)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed1_v4,-3.6)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed1_v5,-3.6)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed1_v6,-2.8)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed1_v7,-3.2)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed1_v8,-3.2)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed1_v9,-1)
				RTM_STAND_STATIC(AIMINGNO,State,Relaxed2)
				RTM_STAND_LOOP(AIMINGNO,State,Relaxed2_loop,-10)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed2_v1,-2.7)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed2_v2,-4)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed2_v3,-2)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed2_v4,-2.4)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed2_v5,-4)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed2_v6,-6)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed2_v7,-3.2)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed2_v8,-4)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed2_v9,-2.9)
				RTM_STAND_STATIC(AIMINGNO,State,Relaxed3)
				RTM_STAND_LOOP(AIMINGNO,State,Relaxed3_loop,-20)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed3_v1,-2.7)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed3_v2,-5)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed3_v3,-4.8)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed3_v4,-4)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed3_v5,-5.8)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed3_v6,-4.2)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed3_v7,-5.7)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed3_v8,-2.9)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed3_v9,-4.8)
			// Binoc
				RTM_STAND_DYNAMIC(AIMINGBC,State,FromBinoc1,-0.95)
				RTM_STAND_DYNAMIC(AIMINGBC,State,FromBinoc2,-1.05)
				RTM_STAND_STATIC(AIMINGBC,State,Binoc)
				RTM_STAND_DYNAMIC(AIMINGBC,State,ToBinoc1,-0.792)
				RTM_STAND_DYNAMIC(AIMINGBC,State,ToBinoc2,-1.208)
			// reload anims
				RTM_STAND_DYNAMIC(AIMINGNO,State,ReloadMagazine,Speed_ReloadMagRifle)
				RTM_STAND_DYNAMIC(AIMINGNO,State,ReloadMgun,Speed_ReloadMagMG)
				RTM_STAND_DYNAMIC(AIMINGNO,State,ReloadMortar,Speed_ReloadMagMortar)
				RTM_STAND_DYNAMIC(AIMINGRF,State,ReloadBolt,Speed_ReloadBolt)
			// Throw grenade
				RTM_STAND_DYNAMIC(AIMINGNO,State,ThrowGrenadeStart,Speed_StandThrowGrenadeStart)
				RTM_STAND_DYNAMIC(AIMINGNO,State,ThrowGrenadeEnd,Speed_StandThrowGrenadeEnd)
				RTM_STAND_STATIC(AIMINGNO,State,RunThrowGrenadeStartC)
				RTM_STAND_DYNAMIC(AIMINGNO,State,RunThrowGrenadeStart,Speed_StandThrowGrenadeStart)
				RTM_STAND_DYNAMIC(AIMINGNO,State,RunThrowGrenadeEnd,Speed_StandThrowGrenadeEnd)
			// Run, walk, sprint etc...
				RTM_STAND_RUNFVAR(AIMINGSF,State,RunF_v1,SprintF_V1)
				RTM_STAND_RUNFVAR(AIMINGSF,State,RunF_v2,SprintF_V2)
				RTM_STAND_RUNFVAR(AIMINGSF,State,RunF_v3,SprintF_V3)
				RTM_STAND_RUNFVAR(AIMINGSF,State,RunF_v4,SprintF_V4)
				RTM_STAND_RUNFVAR(AIMINGSF,State,RunF_v5,SprintF_V5)
				RTM_STAND_RUN(AIMINGSF,State)
				RTM_STAND_WALKFVAR(AIMINGRF,State,WalkF_v1)
				RTM_STAND_WALKFVAR(AIMINGRF,State,WalkF_v2)
				RTM_STAND_WALKFVAR(AIMINGRF,State,WalkF_v3)
				RTM_STAND_WALKFVAR(AIMINGRF,State,WalkF_v4)
				RTM_STAND_WALK(AIMINGRF,State)
				RTM_STAND_RUNAIM(AIMINGRF,State)
			// Stance transitions
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToCrouch,-1.1)
				RTM_STAND_GETDOWN(AIMINGNO,State,ToLying,-1.5,0.1,0.1)
			// State transitions
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToRiflePistol1,-1.1)
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToRiflePistol2,-0.9)
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToRifleSafe,-2.9)
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToATSafe,-2)
			
		// ...\Rifle\Crouch\
		
			// dying anims
				RTM_CROUCH_DEAD(AIMINGNO,State,Dead1)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying1C,-1.85,0,1)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying1i,-1.85*0.95,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,Dying1iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,Dead2)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying2C,-1.7,0,1)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying2i,-1.7*0.8,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,Dying2iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,Dead3)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying3C,-2.2,0,1)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying3i,-2.2*0.892,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,Dying3iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,Dead4)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying4C,-2.25,0,1)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying4i,-2.25,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,Dying4iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,RunFDead1)
				RTM_CROUCH_DYING(AIMINGNO,State,RunFDying1i,-1.6,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,RunFDying1iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,RunFDead2)
				RTM_CROUCH_DYING(AIMINGNO,State,RunFDying2i,-1.6,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,RunFDying2iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,RunBDead1)
				RTM_CROUCH_DYING(AIMINGNO,State,RunBDying1i,-1.6,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,RunBDying1iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,RunBDead2)
				RTM_CROUCH_DYING(AIMINGNO,State,RunBDying2i,-1.6,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,RunBDying2iStart)
			// default anims
				RTM_CROUCH_STATIC(AIMINGRF,State,Default)
				RTM_CROUCH_LOOP(AIMINGRF,State,Default_loop,-6.25)
			// AI relaxed anims
				RTM_CROUCH_STATIC(AIMINGNO,State,Relaxed)
				RTM_CROUCH_LOOP(AIMINGNO,State,Relaxed_loop,-6.25)
			// Binoc
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,FromBinoc1,-0.5)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,FromBinoc2,-1.5)
				RTM_CROUCH_STATIC(AIMINGBC,State,Binoc)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,ToBinoc1,-1.5)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,ToBinoc2,-0.5)
			// reload anims
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ReloadMagazine,Speed_ReloadMagRifle)
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ReloadMgun,Speed_ReloadMagMG)
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ReloadMortar,Speed_ReloadMagMortar)
				RTM_CROUCH_DYNAMIC(AIMINGRF,State,ReloadBolt,Speed_ReloadBolt)
			// Run, walk, sprint etc...
				RTM_CROUCH_RUN(AIMINGSF,State)
				RTM_CROUCH_WALK(AIMINGRF,State)
				RTM_CROUCH_RUNAIM(AIMINGRF,State)
			// Stance transitions
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToStand,-1.15)
				RTM_CROUCH_GETDOWN(AIMINGNO,State,ToLying,-1.5,0.1,0.1)
			// State transitions
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToRiflePistol1,-1.24)
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToRiflePistol2,-0.76)
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToRifleSafe,-1.5)
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToATSafe,-2)
			
		// ...\Rifle\Lying\
		
			// dying anims
				RTM_LYING_DEAD(AIMINGNO,State,Dead1)
				RTM_LYING_DYING(AIMINGNO,State,Dying1C,-1,0,1)
				RTM_LYING_DYING(AIMINGNO,State,Dying1i,-1,0,1)
				RTM_LYING_DYINGSTART(AIMINGNO,State,Dying1iStart)
			// default anims
				RTM_LYING_STATIC(AIMINGRF,State,Default)
				RTM_LYING_LOOP(AIMINGRF,State,Default_loop,-6.25)
			// AI relaxed anims
				RTM_LYING_STATIC(AIMINGNO,State,Relaxed)
				RTM_LYING_LOOP(AIMINGNO,State,Relaxed_loop,-6.25)
			// reload anims
				RTM_LYING_DYNAMIC(AIMINGNO,State,ReloadMagazine,Speed_ReloadMagRifle)
				RTM_LYING_DYNAMIC(AIMINGNO,State,ReloadMgun,Speed_ReloadMagMG)
				RTM_LYING_DYNAMIC(AIMINGNO,State,ReloadMortar,Speed_ReloadMagMortar)
				RTM_LYING_DYNAMIC(AIMINGRF,State,ReloadBolt,Speed_ReloadBolt)
			// Throw grenade
				RTM_LYING_DYNAMIC(AIMINGNO,State,ThrowGrenadeStart,Speed_LyingThrowGrenadeStart)
				RTM_LYING_DYNAMIC(AIMINGNO,State,ThrowGrenadeEnd,Speed_LyingThrowGrenadeEnd)
			// Binoc
				RTM_LYING_DYNAMIC(AIMINGBC,State,FromBinoc1,-0.76)
				RTM_LYING_DYNAMIC(AIMINGBC,State,FromBinoc2,-1.240)
				RTM_LYING_STATIC(AIMINGBC,State,Binoc)
				RTM_LYING_DYNAMIC(AIMINGBC,State,ToBinoc1,-1.060)
				RTM_LYING_DYNAMIC(AIMINGBC,State,ToBinoc2,-0.940)
			// Crawl
				RTM_LYING_CRAWL(AIMINGSF,State)
			// Stance transitions
				RTM_LYING_GETUP(AIMINGNO,State,ToStand,-2,0.01,0.01)
				RTM_LYING_GETUP(AIMINGNO,State,ToCrouch,-1.5,0.01,0.01)
			// State transitions
				RTM_LYING_DYNAMIC(AIMINGNO,State,ToRiflePistol1,-1.5)
				RTM_LYING_DYNAMIC(AIMINGNO,State,ToRiflePistol2,-0.5)
				RTM_LYING_DYNAMIC(AIMINGNO,State,ToATSafe,-2)
			//	RTM_LYING_DYNAMIC(AIMINGNO,State,ToCivil,-2.5)
			
	#undef State
	
	// --------------------------------------------------------------------------------------------------------------
	//								RiflePistol
	// --------------------------------------------------------------------------------------------------------------
	#define State RiflePistol
	
		// ...\RiflePistol\Stand\
		
			// dying anims
				RTM_STAND_DEAD(AIMINGNO,State,Dead1)
				RTM_STAND_DYING(AIMINGNO,State,Dying1C,-3,0,1)
				RTM_STAND_DYING(AIMINGNO,State,Dying1i,-3,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,Dying1iStart)
				RTM_STAND_DEAD(AIMINGNO,State,Dead2)
				RTM_STAND_DYING(AIMINGNO,State,Dying2C,-3,0,1)
				RTM_STAND_DYING(AIMINGNO,State,Dying2i,-3,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,Dying2iStart)
				RTM_STAND_DEAD(AIMINGNO,State,RunFDead1)
				RTM_STAND_DYING(AIMINGNO,State,RunFDying1i,-1.6,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,RunFDying1iStart)
				RTM_STAND_DEAD(AIMINGNO,State,RunFDead2)
				RTM_STAND_DYING(AIMINGNO,State,RunFDying2i,-1.6,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,RunFDying2iStart)
				RTM_STAND_DEAD(AIMINGNO,State,RunBDead1)
				RTM_STAND_DYING(AIMINGNO,State,RunBDying1i,-1.6,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,RunBDying1iStart)
				RTM_STAND_DEAD(AIMINGNO,State,RunBDead2)
				RTM_STAND_DYING(AIMINGNO,State,RunBDying2i,-1.6,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,RunBDying2iStart)
			// default anims
				RTM_STAND_STATIC(AIMINGHG,State,Default)
				RTM_STAND_LOOP(AIMINGHG,State,Default_loop,-6.25)
			// AI relaxed anims
				RTM_STAND_STATIC(AIMINGNO,State,Relaxed)
				RTM_STAND_STATIC(AIMINGNO,State,Relaxed1)
				RTM_STAND_LOOP(AIMINGNO,State,Relaxed1_loop,-3)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed1_v1,-3)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed1_v2,-3)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed1_v3,-3)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed1_v4,-3)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Relaxed1_v5,-3)
			// reload anims
				RTM_STAND_DYNAMIC(AIMINGNO,State,ReloadMagazine,Speed_ReloadMagPistol)
			// Binoc
				RTM_STAND_DYNAMIC(AIMINGBC,State,FromBinoc1,-0.01)
				RTM_STAND_DYNAMIC(AIMINGBC,State,FromBinoc2,-0.95)
				RTM_STAND_DYNAMIC(AIMINGBC,State,FromBinoc3,-1.05)
				RTM_STAND_STATIC(AIMINGBC,State,Binoc)
				RTM_STAND_DYNAMIC(AIMINGBC,State,ToBinoc1,-0.792)
				RTM_STAND_DYNAMIC(AIMINGBC,State,ToBinoc2,-1.208)
				RTM_STAND_DYNAMIC(AIMINGBC,State,ToBinoc3,-0.01)
			// Throw grenade
				RTM_STAND_DYNAMIC(AIMINGNO,State,ThrowGrenadeStart,Speed_StandThrowGrenadeStart)
				RTM_STAND_DYNAMIC(AIMINGNO,State,ThrowGrenadeEnd,Speed_StandThrowGrenadeEnd)
				RTM_STAND_STATIC(AIMINGNO,State,RunThrowGrenadeStartC)
				RTM_STAND_DYNAMIC(AIMINGNO,State,RunThrowGrenadeStart,Speed_StandThrowGrenadeStart)
				RTM_STAND_DYNAMIC(AIMINGNO,State,RunThrowGrenadeEnd,Speed_StandThrowGrenadeEnd)
			// Run, walk, sprint etc...
				RTM_STAND_RUN(AIMINGSF,State)
				RTM_STAND_WALK(AIMINGHG,State)
				RTM_STAND_RUNAIM(AIMINGHG,State)
			// Stance transitions
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToCrouch,-1.1)
				RTM_STAND_GETDOWN(AIMINGNO,State,ToLying,-1.5,0.1,0.1)
			// State transitions
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToRifle1,-0.9)
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToRifle2,-1.1)

		// ...\RiflePistol\Crouch\
		
			// dying anims
				RTM_CROUCH_DEAD(AIMINGNO,State,Dead1)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying1C,-2,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,Dying1iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,Dead2)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying1i,-2,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,Dying2iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,RunFDead1)
				RTM_CROUCH_DYING(AIMINGNO,State,RunFDying1i,-1.6,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,RunFDying1iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,RunFDead2)
				RTM_CROUCH_DYING(AIMINGNO,State,RunFDying2i,-1.6,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,RunFDying2iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,RunBDead1)
				RTM_CROUCH_DYING(AIMINGNO,State,RunBDying1i,-1.6,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,RunBDying1iStart)
				RTM_CROUCH_DEAD(AIMINGNO,State,RunBDead2)
				RTM_CROUCH_DYING(AIMINGNO,State,RunBDying2i,-1.6,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,RunBDying2iStart)
			// default anims
				RTM_CROUCH_STATIC(AIMINGHG,State,Default)
				RTM_CROUCH_LOOP(AIMINGHG,State,Default_loop,-6.25)
			// AI relaxed anims
				RTM_CROUCH_STATIC(AIMINGNO,State,Relaxed)
				RTM_CROUCH_LOOP(AIMINGNO,State,Relaxed_loop,-6.25)
			// reload anims
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ReloadMagazine,Speed_ReloadMagPistol)
			// Binoc
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,FromBinoc1,-0.01)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,FromBinoc2,-0.5)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,FromBinoc3,-1.5)
				RTM_CROUCH_STATIC(AIMINGBC,State,Binoc)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,ToBinoc1,-1.5)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,ToBinoc2,-0.5)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,ToBinoc3,-0.01)
			// Run, walk, sprint etc...
				RTM_CROUCH_RUN(AIMINGSF,State)
				RTM_CROUCH_WALK(AIMINGHG,State)
				RTM_CROUCH_RUNAIM(AIMINGHG,State)
			// Stance transitions
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToStand,-1.15)
				RTM_CROUCH_GETDOWN(AIMINGNO,State,ToLying,-1.5,0.1,0.1)
			// State transitions
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToRifle1,-0.633)
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToRifle2,-1.367)
				
		// ...\RiflePistol\Lying\
		
			// dying anims
				RTM_LYING_DEAD(AIMINGNO,State,Dead1)
				RTM_LYING_DYING(AIMINGNO,State,Dying1C,-1,0,1)
				RTM_LYING_DYING(AIMINGNO,State,Dying1i,-1,0,1)
				RTM_LYING_DYINGSTART(AIMINGNO,State,Dying1iStart)
			// default anims
				RTM_LYING_STATIC(AIMINGHG,State,Default)
				RTM_LYING_LOOP(AIMINGHG,State,Default_loop,-6.25)
			// AI relaxed anims
				RTM_LYING_STATIC(AIMINGNO,State,Relaxed)
				RTM_LYING_LOOP(AIMINGNO,State,Relaxed_loop,-6.25)
			// reload anims
				RTM_LYING_DYNAMIC(AIMINGNO,State,ReloadMagazine,Speed_ReloadMagPistol)
			// Throw grenade
				RTM_LYING_DYNAMIC(AIMINGNO,State,ThrowGrenadeStart,Speed_LyingThrowGrenadeStart)
				RTM_LYING_DYNAMIC(AIMINGNO,State,ThrowGrenadeEnd,Speed_LyingThrowGrenadeEnd)
			// Binoc
				RTM_LYING_DYNAMIC(AIMINGBC,State,FromBinoc1,-0.01)
				RTM_LYING_DYNAMIC(AIMINGBC,State,FromBinoc2,-0.76)
				RTM_LYING_DYNAMIC(AIMINGBC,State,FromBinoc3,-1.240)
				RTM_LYING_STATIC(AIMINGBC,State,Binoc)
				RTM_LYING_DYNAMIC(AIMINGBC,State,ToBinoc1,-1.060)
				RTM_LYING_DYNAMIC(AIMINGBC,State,ToBinoc2,-0.940)
				RTM_LYING_DYNAMIC(AIMINGBC,State,ToBinoc3,-0.01)
			// Crawl
				RTM_LYING_CRAWL(AIMINGSF,State)
			// Stance transitions
				RTM_LYING_GETUP(AIMINGNO,State,ToStand,-2,0.01,0.01)
				RTM_LYING_GETUP(AIMINGNO,State,ToCrouch,-1.5,0.01,0.01)
			// State transitions
				RTM_LYING_DYNAMIC(AIMINGNO,State,ToRifle1,-0.5)
				RTM_LYING_DYNAMIC(AIMINGNO,State,ToRifle2,-1.5)
				
	#undef State
	
	// --------------------------------------------------------------------------------------------------------------
	//								RifleSafe
	// --------------------------------------------------------------------------------------------------------------
	#define State RifleSafe
	
		// ...\RifleSafe\Stand\
		
			// dying anims
				RTM_STAND_DEAD(AIMINGNO,State,Dead1)
				RTM_STAND_DYING(AIMINGNO,State,Dying1C,-4,0,1)
				RTM_STAND_DYING(AIMINGNO,State,Dying1i,-4,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,Dying1iStart)
				RTM_STAND_DEAD(AIMINGNO,State,Dead2)
				RTM_STAND_DYING(AIMINGNO,State,Dying2C,-4,0,1)
				RTM_STAND_DYING(AIMINGNO,State,Dying2i,-4,0,1)
				RTM_STAND_DYINGSTART(AIMINGNO,State,Dying2iStart)
			// default anims
				RTM_STAND_STATIC(AIMINGSF,State,Default)
				RTM_STAND_STATIC(AIMINGSF,State,Default1)
				RTM_STAND_LOOP(AIMINGSF,State,Default1_loop,-20)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default1_v1,-4.5)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default1_v2,-6)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default1_v3,-4)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default1_v4,-1.8)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default1_v5,-4)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default1_v6,-5)
				RTM_STAND_STATIC(AIMINGSF,State,Default2)
				RTM_STAND_LOOP(AIMINGSF,State,Default2_loop,-20)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default2_v1,-2.8)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default2_v2,-1.4)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default2_v3,-2.5)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default2_v4,-8.5)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default2_v5,-5.5)
				RTM_STAND_STATIC(AIMINGSF,State,Default3)
				RTM_STAND_LOOP(AIMINGSF,State,Default3_loop,-20)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default3_v1,-6)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default3_v2,-4)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default3_v3,-12)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default3_v4,-12)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default3_v5,-7)
				RTM_STAND_DYNAMIC(AIMINGNO,State,Default3_v6,-6)
			// Binoc
				RTM_STAND_DYNAMIC(AIMINGBC,State,FromBinoc1,-0.95)
				RTM_STAND_DYNAMIC(AIMINGBC,State,FromBinoc2,-1.05)
				RTM_STAND_STATIC(AIMINGBC,State,Binoc)
				RTM_STAND_DYNAMIC(AIMINGBC,State,ToBinoc1,-0.792)
				RTM_STAND_DYNAMIC(AIMINGBC,State,ToBinoc2,-1.208)
			// Throw grenade
				RTM_STAND_DYNAMIC(AIMINGNO,State,ThrowGrenadeStart,Speed_StandThrowGrenadeStart)
				RTM_STAND_DYNAMIC(AIMINGNO,State,ThrowGrenadeEnd,Speed_StandThrowGrenadeEnd)
			// Run, walk, sprint etc...
				RTM_STAND_WALK(AIMINGSF,State)
			// Stance transitions
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToCrouch,-1.1)
			// State transitions
				RTM_STAND_DYNAMIC(AIMINGNO,State,ToRifle,-2)
			//	RTM_STAND_DYNAMIC(AIMINGNO,State,ToCivil,-2.5)
				
		// ...\RifleSafe\Crouch\

			// dying anims
				RTM_CROUCH_DEAD(AIMINGNO,State,Dead1)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying1C,-2,0,1)
				RTM_CROUCH_DYING(AIMINGNO,State,Dying1i,-2,0,1)
				RTM_CROUCH_DYINGSTART(AIMINGNO,State,Dying1iStart)
			// default anims
				RTM_CROUCH_STATIC(AIMINGSF,State,Default)
				RTM_CROUCH_LOOP(AIMINGSF,State,Default_loop,-6.25)
			// Binoc
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,FromBinoc1,-0.5)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,FromBinoc2,-1.5)
				RTM_CROUCH_STATIC(AIMINGBC,State,Binoc)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,ToBinoc1,-1.5)
				RTM_CROUCH_DYNAMIC(AIMINGBC,State,ToBinoc2,-0.5)
			// Stance transitions
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToStand,-1.15)
			// State transitions
				RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToRifle,-1.5)
			//	RTM_CROUCH_GETDOWN(AIMINGNO,State,ToRifleLying,-1.5,0.1,0.1)
			//	RTM_CROUCH_DYNAMIC(AIMINGNO,State,ToCivil,-2.5)
			
	#undef State
